Reinforcement HelicalRebar/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommandAddon/it|Name=Arch Rebar Helical|Name/it=Armatura elicoidale|Workbenches=Arch|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|S...")
 
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommandAddon/it|Name=Arch Rebar Helical|Name/it=Armatura elicoidale|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch Rebar Straight/it|Armatura dritta]], [[Arch_Rebar_LShape/it|Armatura a L]], [[Arch_Rebar BentShape/it|Armatura sagomata]], [[Arch_Rebar_Stirrup/it|Staffe armatura]]}}
{{GuiCommandAddon|Name=Arch Rebar Helical|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar|Arch Rebar]]}}


==Descrizione==
==Description==
Lo strumento {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Armatura elicoidale}} crea una armatura elicoidale in un elemento strutturale selezionato.


The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool allows user to create a helical reinforcing bar in the structural element.


[[Image:HelicalRebar.png]]
[[Image:HelicalRebar.png|800px]]


==Uso==
==How to use==


# Creare un elemento [[Arch Structure/it|Struttura]]
# Create a [[Arch Structure|structure]] element
# Select any face of the structure
# Selezionare una qualsiasi faccia della struttura
# Selezionare {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Armatura elicoidale}} dagli strumenti Armatura
# Then select {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} from the rebar tools
# Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente [[Image:HelicalRebarDialog.png]]
# A task panel will pop-out on the left side of the screen as shown below [[Image:HelicalRebarDialog.png|250px]]
# Select the desired orientation
# Selezionare l'orientamento desiderato
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# Select the mode of distribution either amount or spacing
# Selezionare la modalità di distribuzione per la quantità e per la spaziatura
# Se la spaziatura è selezionata, l'utente può anche optare per una [[Custom_Spacing/it|spaziatura personalizzata]]
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni
# Click {{KEY|Cancel}} to exit the task panel


==Proprietà==
==Properties==


* {{PropertyData|Side Cover}}: La distanza tra l'armatura e la faccia curva.
* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Bottom Cover}}: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Top Cover}}: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Pitch}}: Il passo dell'elica, che è l'altezza di un giro completo di elica, misurato parallelo all'asse dell'elica.
* {{PropertyData|Pitch}}: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
* {{PropertyData|Diameter}}: Diametro della barra elicoidale.
* {{PropertyData|Diameter}}: Diameter of the rebar.


==Script==
==Scripting==

Lo strumento {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Armatura elicoidale}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:


The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
{{Code|code=
makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
}}
}}
* Adds a Straight reinforcing bar object to the given structural object.

* If no Structure and Facename is given, it will take user selected face as input.
* Aggiunge un oggetto Armatura elicoidale (HelicalRebar) all'oggetto strutturale specificato.
* Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
* Here CoverAlong argument is having type tuple.
* Here CoverAlong argument is having type tuple.
* Restituisce il nuovo oggetto Rebar.
* Returns the new Rebar object.


Example:
Esempio:

Creare una armatura Helical.
Creating Helical rebar.
{{Code|code=
{{Code|code=
import Arch, Draft, HelicalRebar
import Arch, Draft, HelicalRebar
Line 59: Line 58:
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")
}}
}}
Changing properties of Helical rebar.

Cambiare le proprietà di una armatura Helical.
{{Code|code=
{{Code|code=
import HelicalRebar
import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)
}}
}}

{{clear}}
<languages/>

Revision as of 16:10, 10 February 2018

Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Arch Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Description

The Helical Rebar tool allows user to create a helical reinforcing bar in the structural element.

How to use

  1. Create a structure element
  2. Select any face of the structure
  3. Then select Helical Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DatiSide Cover: The distance between rebar to the curved face.
  • DatiTop Cover: The distance between rebar from the top face of the structure.
  • DatiBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatiPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DatiDiameter: Diameter of the rebar.

Scripting

The Helical Rebar tool can by used in macros and from the python console by using the following function:

makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
  • Adds a Straight reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example:

Creating Helical rebar.

import Arch, Draft, HelicalRebar
# Creating circle
pl=FreeCAD.Placement()
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")

Changing properties of Helical rebar.

import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)